### Hierarchy

- DefaultInteractionInterceptor

### Implements

- InteractionInterceptor

## Index

### Properties

- languageResolver

### Methods

- execute

## Properties

### Private languageResolver

languageResolver: ConversationLanguageResolver = new ConversationLanguageResolver()

- Defined in lib/connection/interceptor/DefaultInteractionInterceptor.ts:10

## Methods

### execute

- execute(interaction: ConvInteraction): ConvInteraction

- Implementation of InteractionInterceptor.execute

  - Defined in lib/connection/interceptor/DefaultInteractionInterceptor.ts:18

  #### Parameters

  - ##### interaction: ConvInteraction

  #### Returns ConvInteraction

Generated using TypeDoc